---
layout: docs
page_title: roles update - Command
description: >-
  The "roles update" command updates an existing role resource.
---

# roles update

Command: `roles update`

The `roles update` command lets you update an existing role.

## Example

This example updates a role with the ID `r_1234567890` to add the name `devops` and the description `Role for DevOps`:

```shell-session
$ boundary roles update -id r_1234567890 -name "devops" -description "Role for DevOps"
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary roles update [options] [args]
```

</CodeBlockConfig>

### Command options

- `-description=<string>` - The description to set on the role.
- `-id=<string>` - The ID of the role you want to update.
- `-name=<string>` - The name to set on the role.
- `-version=<int>` - The version of the role you want to update.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'
